Skip to main content
GET
/
api
/
pools
/
{poolId}
/
history
Get all-epochs stake pool history
curl --request GET \
  --url https://nexus.gerowallet.io/api/pools/{poolId}/history \
  --header 'Authorization: Bearer <token>'
{
  "margin": 123,
  "epoch_no": 123,
  "active_stake": 123,
  "active_stake_pct": 123,
  "saturation_pct": 123,
  "block_cnt": 123,
  "delegator_cnt": 123,
  "fixed_cost": 123,
  "pool_fees": 123,
  "deleg_rewards": 123,
  "epoch_ros": 123
}

Authorizations

Authorization
string
header
required

JWT Token Authentication

Path Parameters

poolId
string
required

Cardano stake pool identifier (accepts both bech32 and hex formats)

Minimum string length: 1

Query Parameters

network
enum<string>
Available options:
CARDANO_MAINNET,
CARDANO_PREPROD,
CARDANO_PREVIEW,
APEX_PRIME_MAINNET,
APEX_VECTOR_MAINNET,
APEX_VECTOR_TESTNET,
MIDNIGHT_MAINNET,
MIDNIGHT_PREPROD,
MIDNIGHT_PREVIEW,
BITCOIN_MAINNET,
BITCOIN_TESTNET4

Response

Successfully retrieved stake pool history

margin
number
epoch_no
integer<int32>
active_stake
integer
active_stake_pct
number
saturation_pct
number
block_cnt
integer<int32>
delegator_cnt
integer<int32>
fixed_cost
integer
pool_fees
integer
deleg_rewards
integer
epoch_ros
number